%BOOTLINK Reset and Boot a Transputer via a C011 type link
%        bootlink() is a host PC transputer utility for MATLAB.
% 
%        [count] = BOOTLINK(file_string, base_address), where count is the
%	 number of bytes from the boot file sent, file_string is a string 
%	 representing the boot file and base_address is a number representing
%        the memory base location of the Transputer interface card.
% 
%        Example:
% 
%           [size] = bootlink('test.btl', 336);
%        or
%           BASE = 336;
%           sent = bootlink('test.btl', BASE)
%
%        Here a fully built boot file is sent to a transputer network
%        at a base address of 336 (decimal) which is 0x150 in hex.
%        BOOTLINK returns the number of actual bytes sent to the network
%        and if this differs from the boot file size a value of -1 is
%        returned.
%
%        See also READLINK, SENDLINK, RESETLNK

%-------------------------------
%        Additional details:
%
%

%        Author:Robert Shaw
%               Department of Electrical and Electronic Engineering
%               Nottingham Trent University
%               Burton Street
%               Nottingham
%               UK
%               Tel: +44 115 9418 418 extn. 2695
%               Fax: +44 115 9486567
%               EMail: ca153rs01@ntu.ac.uk
%

